%define uname   dfarc

Name:           freedink-dfarc
Version:        3.14
Release:        %mkrel 15
Summary:        Frontend and .dmod installer for GNU FreeDink
Group:          Games/Adventure
License:        GPLv3+
URL:            https://www.gnu.org/software/freedink/
Source0:        https://ftp.gnu.org/gnu/freedink/%{uname}-%{version}.tar.gz

BuildRequires:  bzip2-devel
BuildRequires:  intltool
BuildRequires:  wxgtk-devel

Requires:       freedink
Requires:       xdg-utils

%description
DFArc makes it easy to play and manage the Dink Smallwood game and
it's numerous Dink Modules (or D-Mods).

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
# It seems "--disable-desktopfiles" is needed to _get_ the desktop and mime files installed
%configure --bindir=%{_gamesbindir} \
               --datadir=%{_gamesdatadir} \
               --disable-desktopfiles
%make_build

%install
%make_install

%find_lang %{uname}

%files -f %{uname}.lang
%doc AUTHORS NEWS README THANKS TODO TRANSLATIONS.txt ChangeLog
%{_gamesbindir}/*%{uname}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/freedink-mime.xml
%{_datadir}/pixmaps/%{uname}.png
%{_iconsdir}/hicolor/32x32/mimetypes/application-x-dmod.png
%{_mandir}/man1/*%{uname}*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 3.14-15.mga10
+ Revision: 2214772
- Mageia 10 Mass Rebuild

* Fri Jul 15 2022 wally <wally> 3.14-14.mga9
+ Revision: 1868988
- rebuild for wxgtk 3.2.0

* Sun Jun 12 2022 wally <wally> 3.14-13.mga9
+ Revision: 1864095
- rebuild for wxgtk 3.1.7

* Thu Apr 14 2022 wally <wally> 3.14-12.mga9
+ Revision: 1849875
- rebuild for wxgtk 3.1.6

* Mon Apr 04 2022 umeabot <umeabot> 3.14-11.mga9
+ Revision: 1842879
- Mageia 9 Mass Rebuild

* Sat Jan 15 2022 wally <wally> 3.14-10.mga9
+ Revision: 1768501
- rebuild for wxgtk 3.1.5 with working wxSizer::SetSizeHints()

* Sat Jan 01 2022 wally <wally> 3.14-9.mga9
+ Revision: 1765733
- rebuild for wxgtk 3.1.5 to resolve 'Symbol X has different size in shared object, consider re-linking' error

* Fri Jan 01 2021 wally <wally> 3.14-8.mga8
+ Revision: 1667698
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 3.14-7.mga8
+ Revision: 1614337
- rebuild for new wxgtk 3.1.4

* Tue Feb 18 2020 umeabot <umeabot> 3.14-6.mga8
+ Revision: 1538011
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Nov 12 2019 wally <wally> 3.14-5.mga8
+ Revision: 1459461
- rebuild for wxgtk 3.1.3

* Mon Jul 08 2019 wally <wally> 3.14-4.mga8
+ Revision: 1419526
- rebuild for wxgtk 3.1.2 with 2.8 compatibility

* Sun Jul 07 2019 wally <wally> 3.14-3.mga8
+ Revision: 1419387
- rebuild with gtk3 enabled wxgtk 3.1.2

* Sun Sep 23 2018 umeabot <umeabot> 3.14-2.mga7
+ Revision: 1297765
- Mageia 7 Mass Rebuild

* Fri Jun 15 2018 akien <akien> 3.14-1.mga7
+ Revision: 1237147
- Version 3.14, fixes CVE-2018-0496

* Sat Jun 03 2017 akien <akien> 3.12-6.mga6
+ Revision: 1106091
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 3.12-5.mga6
+ Revision: 1019810
- rebuild for wxgtk3.0 built with GTK2

* Sun Feb 14 2016 umeabot <umeabot> 3.12-4.mga6
+ Revision: 960113
- Mageia 6 Mass Rebuild

* Fri Aug 14 2015 ycantin <ycantin> 3.12-3.mga6
+ Revision: 864692
- rebuild for new wxgtk built with wxRE_ADVANCED

* Thu Jul 23 2015 akien <akien> 3.12-2.mga6
+ Revision: 856246
- Rebuild for wxgtk

* Mon Oct 20 2014 akien <akien> 3.12-1.mga5
+ Revision: 792253
- Version 3.12

* Wed Oct 15 2014 umeabot <umeabot> 3.10-3.mga5
+ Revision: 746304
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.10-2.mga5
+ Revision: 679331
- Mageia 5 Mass Rebuild

* Fri Mar 14 2014 akien <akien> 3.10-1.mga5
+ Revision: 603883
- imported package freedink-dfarc

